package net.monarchpass.piecannon;

import java.io.File;
import java.net.URI;
import com.google.common.io.Files;
import com.google.common.io.ByteSource;

public interface Server {
    public String getLabel ();
    public URI upload (String name, ByteSource source);
    public default URI upload (File file) {return upload(file.getName(), Files.asByteSource(file));}
}
